Announcement

Collapse
No announcement yet.

Getting PHP error

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Getting PHP error

    I upgraded my PHP to 5.3.5 yesterday and now I'm getting the below error at my forum. What might the fix be?

    Deprecated: Assigning the return value of new by reference is deprecated in /home/civilwar/public_html/community/includes/init.php on line 49

    Deprecated: Assigning the return value of new by reference is deprecated in /home/civilwar/public_html/community/includes/init.php on line 97

    Deprecated: Assigning the return value of new by reference is deprecated in /home/civilwar/public_html/community/includes/init.php on line 101

    Deprecated: Assigning the return value of new by reference is deprecated in /home/civilwar/public_html/community/includes/init.php on line 109

    Deprecated: Assigning the return value of new by reference is deprecated in /home/civilwar/public_html/community/includes/init.php on line 120

    Deprecated: Assigning the return value of new by reference is deprecated in /home/civilwar/public_html/community/includes/init.php on line 124

    Deprecated: Assigning the return value of new by reference is deprecated in /home/civilwar/public_html/community/includes/init.php on line 132

    Deprecated: Assigning the return value of new by reference is deprecated in /home/civilwar/public_html/community/includes/init.php on line 201

    Deprecated: Assigning the return value of new by reference is deprecated in /home/civilwar/public_html/community/includes/init.php on line 378

    Deprecated: Assigning the return value of new by reference is deprecated in /home/civilwar/public_html/community/includes/class_core.php on line 2514

  • #2
    3.7 doesn't work with php 5.3

    Please don't PM or VM me for support - I only help out in the threads.
    vBulletin Manual & vBulletin 4.0 Code Documentation (API)
    Want help modifying your vbulletin forum? Head on over to vbulletin.org
    If I post CSS and you don't know where it goes, throw it into the additional.css template.

    W3Schools <- awesome site for html/css help

    Comment


    • #3
      What do I need to do so it works with PHP 5.3?

      Thanks

      Comment


      • #4
        3.7 will not work with PHP 5.3. You need to either downgrade PHP or upgrade to at least vB 3.8.6.
        Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
        Change CKEditor Colors to Match Style (for 4.1.4 and above)

        Steve Machol Photography


        Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


        Comment


        • #5
          Was there not a security issue with PHP 5.2.xx?

          Comment


          • #6
            and it was fixed in 5.2.17.

            Comment


            • #7
              Then will 5.2.17 work with 3.6.x ?

              Comment


              • #8
                Should.

                Comment

                widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                Working...
                X